Runtime

## org.eclipse.gmf.runtime.notation
Interface NotationPackage.Literals

Enclosing interface:
  NotationPackage

    public static interface NotationPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

** Generated **

Field Summary
`static org.eclipse.emf.ecore.EEnum` `ALIGNMENT` The meta object literal for the '`Alignment`' enum
`static org.eclipse.emf.ecore.EClass` `ANCHOR` The meta object literal for the '`Anchor`' class
`static org.eclipse.emf.ecore.EClass` `ARROW_STYLE` The meta object literal for the '`Arrow Style`' class
`static org.eclipse.emf.ecore.EAttribute` `ARROW_STYLE__ARROW_SOURCE` The meta object literal for the 'Arrow Source' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `ARROW_STYLE__ARROW_TARGET` The meta object literal for the 'Arrow Target' attribute feature
`static org.eclipse.emf.ecore.EEnum` `ARROW_TYPE` The meta object literal for the '`Arrow Type`' enum
`static org.eclipse.emf.ecore.EClass` `BENDPOINTS` The meta object literal for the '`Bendpoints`' class
`static org.eclipse.emf.ecore.EClass` `BOOLEAN_LIST_VALUE_STYLE` The meta object literal for the '`Boolean List Value Style`' class
`static org.eclipse.emf.ecore.EAttribute` `BOOLEAN_LIST_VALUE_STYLE__BOOLEAN_LIST_VALUE` The meta object literal for the 'Boolean List Value' attribute list feature
`static org.eclipse.emf.ecore.EClass` `BOOLEAN_VALUE_STYLE` The meta object literal for the '`Boolean Value Style`' class
`static org.eclipse.emf.ecore.EAttribute` `BOOLEAN_VALUE_STYLE__BOOLEAN_VALUE` The meta object literal for the 'Boolean Value' attribute feature
`static org.eclipse.emf.ecore.EClass` `BOUNDS` The meta object literal for the '`Bounds`' class
`static org.eclipse.emf.ecore.EClass` `BYTE_ARRAY_VALUE_STYLE` The meta object literal for the '`Byte Array Value Style`' class
`static org.eclipse.emf.ecore.EAttribute` `BYTE_ARRAY_VALUE_STYLE__BYTE_ARRAY_VALUE` The meta object literal for the 'Byte Array Value' attribute feature
`static org.eclipse.emf.ecore.EClass` `CANONICAL_STYLE` The meta object literal for the '`Canonical Style`' class
`static org.eclipse.emf.ecore.EAttribute` `CANONICAL_STYLE__CANONICAL` The meta object literal for the 'Canonical' attribute feature
`static org.eclipse.emf.ecore.EClass` `CONNECTOR_STYLE` The meta object literal for the '`Connector Style`' class
`static org.eclipse.emf.ecore.EClass` `DATA_TYPE_STYLE` The meta object literal for the '`Data Type Style`' class
`static org.eclipse.emf.ecore.EReference` `DATA_TYPE_STYLE__INSTANCE_TYPE` The meta object literal for the 'Instance Type' reference feature
`static org.eclipse.emf.ecore.EClass` `DESCRIPTION_STYLE` The meta object literal for the '`Description Style`' class
`static org.eclipse.emf.ecore.EAttribute` `DESCRIPTION_STYLE__DESCRIPTION` The meta object literal for the 'Description' attribute feature
`static org.eclipse.emf.ecore.EClass` `DIAGRAM` The meta object literal for the '`Diagram`' class
`static org.eclipse.emf.ecore.EAttribute` `DIAGRAM__MEASUREMENT_UNIT` The meta object literal for the 'Measurement Unit' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `DIAGRAM__NAME` The meta object literal for the 'Name' attribute feature
`static org.eclipse.emf.ecore.EReference` `DIAGRAM__PERSISTED_EDGES` The meta object literal for the 'Persisted Edges' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `DIAGRAM__TRANSIENT_EDGES` The meta object literal for the 'Transient Edges' containment reference list feature
`static org.eclipse.emf.ecore.EClass` `DIAGRAM_LINK_STYLE` The meta object literal for the '`Diagram Link Style`' class
`static org.eclipse.emf.ecore.EReference` `DIAGRAM_LINK_STYLE__DIAGRAM_LINK` The meta object literal for the 'Diagram Link' reference feature
`static org.eclipse.emf.ecore.EClass` `DIAGRAM_STYLE` The meta object literal for the '`Diagram Style`' class
`static org.eclipse.emf.ecore.EClass` `DOUBLE_LIST_VALUE_STYLE` The meta object literal for the '`Double List Value Style`' class
`static org.eclipse.emf.ecore.EAttribute` `DOUBLE_LIST_VALUE_STYLE__DOUBLE_LIST_VALUE` The meta object literal for the 'Double List Value' attribute list feature
`static org.eclipse.emf.ecore.EClass` `DOUBLE_VALUE_STYLE` The meta object literal for the '`Double Value Style`' class
`static org.eclipse.emf.ecore.EAttribute` `DOUBLE_VALUE_STYLE__DOUBLE_VALUE` The meta object literal for the 'Double Value' attribute feature
`static org.eclipse.emf.ecore.EClass` `DRAWER_STYLE` The meta object literal for the '`Drawer Style`' class
`static org.eclipse.emf.ecore.EAttribute` `DRAWER_STYLE__COLLAPSED` The meta object literal for the 'Collapsed' attribute feature
`static org.eclipse.emf.ecore.EClass` `EDGE` The meta object literal for the '`Edge`' class
`static org.eclipse.emf.ecore.EReference` `EDGE__BENDPOINTS` The meta object literal for the 'Bendpoints' containment reference feature
`static org.eclipse.emf.ecore.EReference` `EDGE__SOURCE` The meta object literal for the 'Source' reference feature
`static org.eclipse.emf.ecore.EReference` `EDGE__SOURCE_ANCHOR` The meta object literal for the 'Source Anchor' containment reference feature
`static org.eclipse.emf.ecore.EReference` `EDGE__TARGET` The meta object literal for the 'Target' reference feature
`static org.eclipse.emf.ecore.EReference` `EDGE__TARGET_ANCHOR` The meta object literal for the 'Target Anchor' containment reference feature
`static org.eclipse.emf.ecore.EClass` `EOBJECT_LIST_VALUE_STYLE` The meta object literal for the '`EObject List Value Style`' class
`static org.eclipse.emf.ecore.EReference` `EOBJECT_LIST_VALUE_STYLE__EOBJECT_LIST_VALUE` The meta object literal for the 'EObject List Value' reference list feature
`static org.eclipse.emf.ecore.EClass` `EOBJECT_VALUE_STYLE` The meta object literal for the '`EObject Value Style`' class
`static org.eclipse.emf.ecore.EReference` `EOBJECT_VALUE_STYLE__EOBJECT_VALUE` The meta object literal for the 'EObject Value' reference feature
`static org.eclipse.emf.ecore.EClass` `FILL_STYLE` The meta object literal for the '`Fill Style`' class
`static org.eclipse.emf.ecore.EAttribute` `FILL_STYLE__FILL_COLOR` The meta object literal for the 'Fill Color' attribute feature
`static org.eclipse.emf.ecore.EDataType` `FILTER_KEY_LIST` The meta object literal for the 'Filter Key List' data type
`static org.eclipse.emf.ecore.EEnum` `FILTERING` The meta object literal for the '`Filtering`' enum
`static org.eclipse.emf.ecore.EClass` `FILTERING_STYLE` The meta object literal for the '`Filtering Style`' class
`static org.eclipse.emf.ecore.EReference` `FILTERING_STYLE__FILTERED_OBJECTS` The meta object literal for the 'Filtered Objects' reference list feature
`static org.eclipse.emf.ecore.EAttribute` `FILTERING_STYLE__FILTERING` The meta object literal for the 'Filtering' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `FILTERING_STYLE__FILTERING_KEYS` The meta object literal for the 'Filtering Keys' attribute feature
`static org.eclipse.emf.ecore.EClass` `FONT_STYLE` The meta object literal for the '`Font Style`' class
`static org.eclipse.emf.ecore.EAttribute` `FONT_STYLE__BOLD` The meta object literal for the 'Bold' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `FONT_STYLE__FONT_COLOR` The meta object literal for the 'Font Color' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `FONT_STYLE__FONT_HEIGHT` The meta object literal for the 'Font Height' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `FONT_STYLE__FONT_NAME` The meta object literal for the 'Font Name' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `FONT_STYLE__ITALIC` The meta object literal for the 'Italic' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `FONT_STYLE__STRIKE_THROUGH` The meta object literal for the 'Strike Through' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `FONT_STYLE__UNDERLINE` The meta object literal for the 'Underline' attribute feature
`static org.eclipse.emf.ecore.EClass` `GUIDE` The meta object literal for the '`Guide`' class
`static org.eclipse.emf.ecore.EReference` `GUIDE__NODE_MAP` The meta object literal for the 'Node Map' map feature
`static org.eclipse.emf.ecore.EAttribute` `GUIDE__POSITION` The meta object literal for the 'Position' attribute feature
`static org.eclipse.emf.ecore.EClass` `GUIDE_STYLE` The meta object literal for the '`Guide Style`' class
`static org.eclipse.emf.ecore.EReference` `GUIDE_STYLE__HORIZONTAL_GUIDES` The meta object literal for the 'Horizontal Guides' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `GUIDE_STYLE__VERTICAL_GUIDES` The meta object literal for the 'Vertical Guides' containment reference list feature
`static org.eclipse.emf.ecore.EClass` `HINTED_DIAGRAM_LINK_STYLE` The meta object literal for the '`Hinted Diagram Link Style`' class
`static org.eclipse.emf.ecore.EAttribute` `HINTED_DIAGRAM_LINK_STYLE__HINT` The meta object literal for the 'Hint' attribute feature
`static org.eclipse.emf.ecore.EClass` `IDENTITY_ANCHOR` The meta object literal for the '`Identity Anchor`' class
`static org.eclipse.emf.ecore.EAttribute` `IDENTITY_ANCHOR__ID` The meta object literal for the 'Id' attribute feature
`static org.eclipse.emf.ecore.EClass` `IMAGE` The meta object literal for the '`Image`' class
`static org.eclipse.emf.ecore.EAttribute` `IMAGE__DATA` The meta object literal for the 'Data' attribute feature
`static org.eclipse.emf.ecore.EClass` `IMAGE_BUFFER_STYLE` The meta object literal for the '`Image Buffer Style`' class
`static org.eclipse.emf.ecore.EReference` `IMAGE_BUFFER_STYLE__IMAGE_BUFFER` The meta object literal for the 'Image Buffer' containment reference feature
`static org.eclipse.emf.ecore.EClass` `IMAGE_STYLE` The meta object literal for the '`Image Style`' class
`static org.eclipse.emf.ecore.EAttribute` `IMAGE_STYLE__ANTI_ALIAS` The meta object literal for the 'Anti Alias' attribute feature
`static org.eclipse.emf.ecore.EReference` `IMAGE_STYLE__CROP_BOUND` The meta object literal for the 'Crop Bound' containment reference feature
`static org.eclipse.emf.ecore.EAttribute` `IMAGE_STYLE__MAINTAIN_ASPECT_RATIO` The meta object literal for the 'Maintain Aspect Ratio' attribute feature
`static org.eclipse.emf.ecore.EClass` `INT_LIST_VALUE_STYLE` The meta object literal for the '`Int List Value Style`' class
`static org.eclipse.emf.ecore.EAttribute` `INT_LIST_VALUE_STYLE__INT_LIST_VALUE` The meta object literal for the 'Int List Value' attribute list feature
`static org.eclipse.emf.ecore.EClass` `INT_VALUE_STYLE` The meta object literal for the '`Int Value Style`' class
`static org.eclipse.emf.ecore.EAttribute` `INT_VALUE_STYLE__INT_VALUE` The meta object literal for the 'Int Value' attribute feature
`static org.eclipse.emf.ecore.EEnum` `JUMP_LINK_STATUS` The meta object literal for the '`Jump Link Status`' enum
`static org.eclipse.emf.ecore.EEnum` `JUMP_LINK_TYPE` The meta object literal for the '`Jump Link Type`' enum
`static org.eclipse.emf.ecore.EClass` `LAYOUT_CONSTRAINT` The meta object literal for the '`Layout Constraint`' class
`static org.eclipse.emf.ecore.EClass` `LINE_STYLE` The meta object literal for the '`Line Style`' class
`static org.eclipse.emf.ecore.EAttribute` `LINE_STYLE__LINE_COLOR` The meta object literal for the 'Line Color' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `LINE_STYLE__LINE_WIDTH` The meta object literal for the 'Line Width' attribute feature
`static org.eclipse.emf.ecore.EEnum` `LINE_TYPE` The meta object literal for the '`Line Type`' enum
`static org.eclipse.emf.ecore.EClass` `LINE_TYPE_STYLE` The meta object literal for the '`Line Type Style`' class
`static org.eclipse.emf.ecore.EAttribute` `LINE_TYPE_STYLE__LINE_TYPE` The meta object literal for the 'Line Type' attribute feature
`static org.eclipse.emf.ecore.EClass` `LIST_VALUE_STYLE` The meta object literal for the '`List Value Style`' class
`static org.eclipse.emf.ecore.EAttribute` `LIST_VALUE_STYLE__RAW_VALUES_LIST` The meta object literal for the 'Raw Values List' attribute list feature
`static org.eclipse.emf.ecore.EClass` `LOCATION` The meta object literal for the '`Location`' class
`static org.eclipse.emf.ecore.EAttribute` `LOCATION__X` The meta object literal for the 'X' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `LOCATION__Y` The meta object literal for the 'Y' attribute feature
`static org.eclipse.emf.ecore.EEnum` `MEASUREMENT_UNIT` The meta object literal for the '`Measurement Unit`' enum
`static org.eclipse.emf.ecore.EClass` `MULTI_DIAGRAM_LINK_STYLE` The meta object literal for the '`Multi Diagram Link Style`' class
`static org.eclipse.emf.ecore.EReference` `MULTI_DIAGRAM_LINK_STYLE__DIAGRAM_LINKS` The meta object literal for the 'Diagram Links' reference list feature
`static org.eclipse.emf.ecore.EClass` `NAMED_STYLE` The meta object literal for the '`Named Style`' class
`static org.eclipse.emf.ecore.EAttribute` `NAMED_STYLE__NAME` The meta object literal for the 'Name' attribute feature
`static org.eclipse.emf.ecore.EClass` `NODE` The meta object literal for the '`Node`' class
`static org.eclipse.emf.ecore.EReference` `NODE__LAYOUT_CONSTRAINT` The meta object literal for the 'Layout Constraint' containment reference feature
`static org.eclipse.emf.ecore.EClass` `NODE_ENTRY` The meta object literal for the '`Node Entry`' class
`static org.eclipse.emf.ecore.EReference` `NODE_ENTRY__KEY` The meta object literal for the 'Key' reference feature
`static org.eclipse.emf.ecore.EAttribute` `NODE_ENTRY__VALUE` The meta object literal for the 'Value' attribute feature
`static org.eclipse.emf.ecore.EClass` `PAGE_STYLE` The meta object literal for the '`Page Style`' class
`static org.eclipse.emf.ecore.EAttribute` `PAGE_STYLE__PAGE_HEIGHT` The meta object literal for the 'Page Height' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `PAGE_STYLE__PAGE_WIDTH` The meta object literal for the 'Page Width' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `PAGE_STYLE__PAGE_X` The meta object literal for the 'Page X' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `PAGE_STYLE__PAGE_Y` The meta object literal for the 'Page Y' attribute feature
`static org.eclipse.emf.ecore.EClass` `PROPERTIES_SET_STYLE` The meta object literal for the '`Properties Set Style`' class
`static org.eclipse.emf.ecore.EReference` `PROPERTIES_SET_STYLE__PROPERTIES_MAP` The meta object literal for the 'Properties Map' map feature
`static org.eclipse.emf.ecore.EClass` `PROPERTY_VALUE` The meta object literal for the '`Property Value`' class
`static org.eclipse.emf.ecore.EReference` `PROPERTY_VALUE__INSTANCE_TYPE` The meta object literal for the 'Instance Type' reference feature
`static org.eclipse.emf.ecore.EAttribute` `PROPERTY_VALUE__RAW_VALUE` The meta object literal for the 'Raw Value' attribute feature
`static org.eclipse.emf.ecore.EClass` `RATIO` The meta object literal for the '`Ratio`' class
`static org.eclipse.emf.ecore.EAttribute` `RATIO__VALUE` The meta object literal for the 'Value' attribute feature
`static org.eclipse.emf.ecore.EDataType` `RELATIVE_BENDPOINT_LIST` The meta object literal for the 'Relative Bendpoint List' data type
`static org.eclipse.emf.ecore.EClass` `RELATIVE_BENDPOINTS` The meta object literal for the '`Relative Bendpoints`' class
`static org.eclipse.emf.ecore.EAttribute` `RELATIVE_BENDPOINTS__POINTS` The meta object literal for the 'Points' attribute feature
`static org.eclipse.emf.ecore.EEnum` `ROUTING` The meta object literal for the '`Routing`' enum
`static org.eclipse.emf.ecore.EClass` `ROUTING_STYLE` The meta object literal for the '`Routing Style`' class
`static org.eclipse.emf.ecore.EAttribute` `ROUTING_STYLE__AVOID_OBSTRUCTIONS` The meta object literal for the 'Avoid Obstructions' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `ROUTING_STYLE__CLOSEST_DISTANCE` The meta object literal for the 'Closest Distance' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `ROUTING_STYLE__JUMP_LINK_STATUS` The meta object literal for the 'Jump Link Status' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `ROUTING_STYLE__JUMP_LINK_TYPE` The meta object literal for the 'Jump Link Type' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `ROUTING_STYLE__JUMP_LINKS_REVERSE` The meta object literal for the 'Jump Links Reverse' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `ROUTING_STYLE__ROUTING` The meta object literal for the 'Routing' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `ROUTING_STYLE__SMOOTHNESS` The meta object literal for the 'Smoothness' attribute feature
`static org.eclipse.emf.ecore.EClass` `SHAPE_STYLE` The meta object literal for the '`Shape Style`' class
`static org.eclipse.emf.ecore.EClass` `SINGLE_VALUE_STYLE` The meta object literal for the '`Single Value Style`' class
`static org.eclipse.emf.ecore.EAttribute` `SINGLE_VALUE_STYLE__RAW_VALUE` The meta object literal for the 'Raw Value' attribute feature
`static org.eclipse.emf.ecore.EClass` `SIZE` The meta object literal for the '`Size`' class
`static org.eclipse.emf.ecore.EAttribute` `SIZE__HEIGHT` The meta object literal for the 'Height' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `SIZE__WIDTH` The meta object literal for the 'Width' attribute feature
`static org.eclipse.emf.ecore.EEnum` `SMOOTHNESS` The meta object literal for the '`Smoothness`' enum
`static org.eclipse.emf.ecore.EDataType` `SORT_KEY_MAP` The meta object literal for the 'Sort Key Map' data type
`static org.eclipse.emf.ecore.EEnum` `SORTING` The meta object literal for the '`Sorting`' enum
`static org.eclipse.emf.ecore.EEnum` `SORTING_DIRECTION` The meta object literal for the '`Sorting Direction`' enum
`static org.eclipse.emf.ecore.EClass` `SORTING_STYLE` The meta object literal for the '`Sorting Style`' class
`static org.eclipse.emf.ecore.EReference` `SORTING_STYLE__SORTED_OBJECTS` The meta object literal for the 'Sorted Objects' reference list feature
`static org.eclipse.emf.ecore.EAttribute` `SORTING_STYLE__SORTING` The meta object literal for the 'Sorting' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `SORTING_STYLE__SORTING_KEYS` The meta object literal for the 'Sorting Keys' attribute feature
`static org.eclipse.emf.ecore.EClass` `STRING_LIST_VALUE_STYLE` The meta object literal for the '`String List Value Style`' class
`static org.eclipse.emf.ecore.EAttribute` `STRING_LIST_VALUE_STYLE__STRING_LIST_VALUE` The meta object literal for the 'String List Value' attribute list feature
`static org.eclipse.emf.ecore.EClass` `STRING_OBJECT_CONVERTER` The meta object literal for the '`String Object Converter`' class
`static org.eclipse.emf.ecore.EClass` `STRING_TO_PROPERTY_VALUE_MAP_ENTRY` The meta object literal for the '`String To Property Value Map Entry`' class
`static org.eclipse.emf.ecore.EAttribute` `STRING_TO_PROPERTY_VALUE_MAP_ENTRY__KEY` The meta object literal for the 'Key' attribute feature
`static org.eclipse.emf.ecore.EReference` `STRING_TO_PROPERTY_VALUE_MAP_ENTRY__VALUE` The meta object literal for the 'Value' containment reference feature
`static org.eclipse.emf.ecore.EClass` `STRING_VALUE_STYLE` The meta object literal for the '`String Value Style`' class
`static org.eclipse.emf.ecore.EAttribute` `STRING_VALUE_STYLE__STRING_VALUE` The meta object literal for the 'String Value' attribute feature
`static org.eclipse.emf.ecore.EClass` `STYLE` The meta object literal for the '`Style`' class
`static org.eclipse.emf.ecore.EEnum` `TEXT_ALIGNMENT` The meta object literal for the '`Text Alignment`' enum
`static org.eclipse.emf.ecore.EClass` `TEXT_STYLE` The meta object literal for the '`Text Style`' class
`static org.eclipse.emf.ecore.EAttribute` `TEXT_STYLE__TEXT_ALIGNMENT` The meta object literal for the 'Text Alignment' attribute feature
`static org.eclipse.emf.ecore.EClass` `TITLE_STYLE` The meta object literal for the '`Title Style`' class
`static org.eclipse.emf.ecore.EAttribute` `TITLE_STYLE__SHOW_TITLE` The meta object literal for the 'Show Title' attribute feature
`static org.eclipse.emf.ecore.EClass` `VIEW` The meta object literal for the '`View`' class
`static org.eclipse.emf.ecore.EReference` `VIEW__DIAGRAM` The meta object literal for the 'Diagram' reference feature
`static org.eclipse.emf.ecore.EReference` `VIEW__ELEMENT` The meta object literal for the 'Element' reference feature
`static org.eclipse.emf.ecore.EAttribute` `VIEW__MUTABLE` The meta object literal for the 'Mutable' attribute feature
`static org.eclipse.emf.ecore.EReference` `VIEW__PERSISTED_CHILDREN` The meta object literal for the 'Persisted Children' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `VIEW__SOURCE_EDGES` The meta object literal for the 'Source Edges' reference list feature
`static org.eclipse.emf.ecore.EReference` `VIEW__STYLES` The meta object literal for the 'Styles' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `VIEW__TARGET_EDGES` The meta object literal for the 'Target Edges' reference list feature
`static org.eclipse.emf.ecore.EReference` `VIEW__TRANSIENT_CHILDREN` The meta object literal for the 'Transient Children' containment reference list feature
`static org.eclipse.emf.ecore.EAttribute` `VIEW__TYPE` The meta object literal for the 'Type' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `VIEW__VISIBLE` The meta object literal for the 'Visible' attribute feature

Field Detail

### EDGE

    static final org.eclipse.emf.ecore.EClass EDGE

  The meta object literal for the '`Edge`' class.

  See Also:
    `EdgeImpl`, `NotationPackageImpl.getEdge()`
  ** Generated **

### EDGE__SOURCE

    static final org.eclipse.emf.ecore.EReference EDGE__SOURCE

  The meta object literal for the 'Source' reference feature.

  ** Generated **

### EDGE__TARGET

    static final org.eclipse.emf.ecore.EReference EDGE__TARGET

  The meta object literal for the 'Target' reference feature.

  ** Generated **

### EDGE__BENDPOINTS

    static final org.eclipse.emf.ecore.EReference EDGE__BENDPOINTS

  The meta object literal for the 'Bendpoints' containment reference feature.

  ** Generated **

### EDGE__SOURCE_ANCHOR

    static final org.eclipse.emf.ecore.EReference EDGE__SOURCE_ANCHOR

  The meta object literal for the 'Source Anchor' containment reference feature.

  ** Generated **

### EDGE__TARGET_ANCHOR

    static final org.eclipse.emf.ecore.EReference EDGE__TARGET_ANCHOR

  The meta object literal for the 'Target Anchor' containment reference feature.

  ** Generated **

### NODE

    static final org.eclipse.emf.ecore.EClass NODE

  The meta object literal for the '`Node`' class.

  See Also:
    `NodeImpl`, `NotationPackageImpl.getNode()`
  ** Generated **

### NODE__LAYOUT_CONSTRAINT

    static final org.eclipse.emf.ecore.EReference NODE__LAYOUT_CONSTRAINT

  The meta object literal for the 'Layout Constraint' containment reference feature.

  ** Generated **

### STYLE

    static final org.eclipse.emf.ecore.EClass STYLE

  The meta object literal for the '`Style`' class.

  See Also:
    `Style`, `NotationPackageImpl.getStyle()`
  ** Generated **

### FILL_STYLE

    static final org.eclipse.emf.ecore.EClass FILL_STYLE

  The meta object literal for the '`Fill Style`' class.

  See Also:
    `FillStyleImpl`, `NotationPackageImpl.getFillStyle()`
  ** Generated **

### FILL_STYLE__FILL_COLOR

    static final org.eclipse.emf.ecore.EAttribute FILL_STYLE__FILL_COLOR

  The meta object literal for the 'Fill Color' attribute feature.

  ** Generated **

### LINE_STYLE

    static final org.eclipse.emf.ecore.EClass LINE_STYLE

  The meta object literal for the '`Line Style`' class.

  See Also:
    `LineStyleImpl`, `NotationPackageImpl.getLineStyle()`
  ** Generated **

### LINE_STYLE__LINE_COLOR

    static final org.eclipse.emf.ecore.EAttribute LINE_STYLE__LINE_COLOR

  The meta object literal for the 'Line Color' attribute feature.

  ** Generated **

### LINE_STYLE__LINE_WIDTH

    static final org.eclipse.emf.ecore.EAttribute LINE_STYLE__LINE_WIDTH

  The meta object literal for the 'Line Width' attribute feature.

  ** Generated **

### FONT_STYLE

    static final org.eclipse.emf.ecore.EClass FONT_STYLE

  The meta object literal for the '`Font Style`' class.

  See Also:
    `FontStyleImpl`, `NotationPackageImpl.getFontStyle()`
  ** Generated **

### FONT_STYLE__FONT_COLOR

    static final org.eclipse.emf.ecore.EAttribute FONT_STYLE__FONT_COLOR

  The meta object literal for the 'Font Color' attribute feature.

  ** Generated **

### FONT_STYLE__FONT_NAME

    static final org.eclipse.emf.ecore.EAttribute FONT_STYLE__FONT_NAME

  The meta object literal for the 'Font Name' attribute feature.

  ** Generated **

### FONT_STYLE__FONT_HEIGHT

    static final org.eclipse.emf.ecore.EAttribute FONT_STYLE__FONT_HEIGHT

  The meta object literal for the 'Font Height' attribute feature.

  ** Generated **

### FONT_STYLE__BOLD

    static final org.eclipse.emf.ecore.EAttribute FONT_STYLE__BOLD

  The meta object literal for the 'Bold' attribute feature.

  ** Generated **

### FONT_STYLE__ITALIC

    static final org.eclipse.emf.ecore.EAttribute FONT_STYLE__ITALIC

  The meta object literal for the 'Italic' attribute feature.

  ** Generated **

### FONT_STYLE__UNDERLINE

    static final org.eclipse.emf.ecore.EAttribute FONT_STYLE__UNDERLINE

  The meta object literal for the 'Underline' attribute feature.

  ** Generated **

### FONT_STYLE__STRIKE_THROUGH

    static final org.eclipse.emf.ecore.EAttribute FONT_STYLE__STRIKE_THROUGH

  The meta object literal for the 'Strike Through' attribute feature.

  ** Generated **

### TITLE_STYLE

    static final org.eclipse.emf.ecore.EClass TITLE_STYLE

  The meta object literal for the '`Title Style`' class.

  See Also:
    `TitleStyleImpl`, `NotationPackageImpl.getTitleStyle()`
  ** Generated **

### TITLE_STYLE__SHOW_TITLE

    static final org.eclipse.emf.ecore.EAttribute TITLE_STYLE__SHOW_TITLE

  The meta object literal for the 'Show Title' attribute feature.

  ** Generated **

### SORTING_STYLE

    static final org.eclipse.emf.ecore.EClass SORTING_STYLE

  The meta object literal for the '`Sorting Style`' class.

  See Also:
    `SortingStyleImpl`, `NotationPackageImpl.getSortingStyle()`
  ** Generated **

### SORTING_STYLE__SORTING

    static final org.eclipse.emf.ecore.EAttribute SORTING_STYLE__SORTING

  The meta object literal for the 'Sorting' attribute feature.

  ** Generated **

### SORTING_STYLE__SORTING_KEYS

    static final org.eclipse.emf.ecore.EAttribute SORTING_STYLE__SORTING_KEYS

  The meta object literal for the 'Sorting Keys' attribute feature.

  ** Generated **

### SORTING_STYLE__SORTED_OBJECTS

    static final org.eclipse.emf.ecore.EReference SORTING_STYLE__SORTED_OBJECTS

  The meta object literal for the 'Sorted Objects' reference list feature.

  ** Generated **

### DESCRIPTION_STYLE

    static final org.eclipse.emf.ecore.EClass DESCRIPTION_STYLE

  The meta object literal for the '`Description Style`' class.

  See Also:
    `DescriptionStyleImpl`, `NotationPackageImpl.getDescriptionStyle()`
  ** Generated **

### DESCRIPTION_STYLE__DESCRIPTION

    static final org.eclipse.emf.ecore.EAttribute DESCRIPTION_STYLE__DESCRIPTION

  The meta object literal for the 'Description' attribute feature.

  ** Generated **

### LAYOUT_CONSTRAINT

    static final org.eclipse.emf.ecore.EClass LAYOUT_CONSTRAINT

  The meta object literal for the '`Layout Constraint`' class.

  See Also:
    `LayoutConstraint`, `NotationPackageImpl.getLayoutConstraint()`
  ** Generated **

### SIZE

    static final org.eclipse.emf.ecore.EClass SIZE

  The meta object literal for the '`Size`' class.

  See Also:
    `SizeImpl`, `NotationPackageImpl.getSize()`
  ** Generated **

### SIZE__WIDTH

    static final org.eclipse.emf.ecore.EAttribute SIZE__WIDTH

  The meta object literal for the 'Width' attribute feature.

  ** Generated **

### SIZE__HEIGHT

    static final org.eclipse.emf.ecore.EAttribute SIZE__HEIGHT

  The meta object literal for the 'Height' attribute feature.

  ** Generated **

### LOCATION

    static final org.eclipse.emf.ecore.EClass LOCATION

  The meta object literal for the '`Location`' class.

  See Also:
    `LocationImpl`, `NotationPackageImpl.getLocation()`
  ** Generated **

### LOCATION__X

    static final org.eclipse.emf.ecore.EAttribute LOCATION__X

  The meta object literal for the 'X' attribute feature.

  ** Generated **

### LOCATION__Y

    static final org.eclipse.emf.ecore.EAttribute LOCATION__Y

  The meta object literal for the 'Y' attribute feature.

  ** Generated **

### BOUNDS

    static final org.eclipse.emf.ecore.EClass BOUNDS

  The meta object literal for the '`Bounds`' class.

  See Also:
    `BoundsImpl`, `NotationPackageImpl.getBounds()`
  ** Generated **

### RATIO

    static final org.eclipse.emf.ecore.EClass RATIO

  The meta object literal for the '`Ratio`' class.

  See Also:
    `RatioImpl`, `NotationPackageImpl.getRatio()`
  ** Generated **

### RATIO__VALUE

    static final org.eclipse.emf.ecore.EAttribute RATIO__VALUE

  The meta object literal for the 'Value' attribute feature.

  ** Generated **

### ANCHOR

    static final org.eclipse.emf.ecore.EClass ANCHOR

  The meta object literal for the '`Anchor`' class.

  See Also:
    `Anchor`, `NotationPackageImpl.getAnchor()`
  ** Generated **

### BENDPOINTS

    static final org.eclipse.emf.ecore.EClass BENDPOINTS

  The meta object literal for the '`Bendpoints`' class.

  See Also:
    `Bendpoints`, `NotationPackageImpl.getBendpoints()`
  ** Generated **

### IDENTITY_ANCHOR

    static final org.eclipse.emf.ecore.EClass IDENTITY_ANCHOR

  The meta object literal for the '`Identity Anchor`' class.

  See Also:
    `IdentityAnchorImpl`, `NotationPackageImpl.getIdentityAnchor()`
  ** Generated **

### IDENTITY_ANCHOR__ID

    static final org.eclipse.emf.ecore.EAttribute IDENTITY_ANCHOR__ID

  The meta object literal for the 'Id' attribute feature.

  ** Generated **

### ROUTING_STYLE

    static final org.eclipse.emf.ecore.EClass ROUTING_STYLE

  The meta object literal for the '`Routing Style`' class.

  See Also:
    `RoutingStyleImpl`, `NotationPackageImpl.getRoutingStyle()`
  ** Generated **

### ROUTING_STYLE__ROUTING

    static final org.eclipse.emf.ecore.EAttribute ROUTING_STYLE__ROUTING

  The meta object literal for the 'Routing' attribute feature.

  ** Generated **

### ROUTING_STYLE__SMOOTHNESS

    static final org.eclipse.emf.ecore.EAttribute ROUTING_STYLE__SMOOTHNESS

  The meta object literal for the 'Smoothness' attribute feature.

  ** Generated **

### ROUTING_STYLE__AVOID_OBSTRUCTIONS

    static final org.eclipse.emf.ecore.EAttribute ROUTING_STYLE__AVOID_OBSTRUCTIONS

  The meta object literal for the 'Avoid Obstructions' attribute feature.

  ** Generated **

### ROUTING_STYLE__CLOSEST_DISTANCE

    static final org.eclipse.emf.ecore.EAttribute ROUTING_STYLE__CLOSEST_DISTANCE

  The meta object literal for the 'Closest Distance' attribute feature.

  ** Generated **

### ROUTING_STYLE__JUMP_LINK_STATUS

    static final org.eclipse.emf.ecore.EAttribute ROUTING_STYLE__JUMP_LINK_STATUS

  The meta object literal for the 'Jump Link Status' attribute feature.

  ** Generated **

### ROUTING_STYLE__JUMP_LINK_TYPE

    static final org.eclipse.emf.ecore.EAttribute ROUTING_STYLE__JUMP_LINK_TYPE

  The meta object literal for the 'Jump Link Type' attribute feature.

  ** Generated **

### ROUTING_STYLE__JUMP_LINKS_REVERSE

    static final org.eclipse.emf.ecore.EAttribute ROUTING_STYLE__JUMP_LINKS_REVERSE

  The meta object literal for the 'Jump Links Reverse' attribute feature.

  ** Generated **

### VIEW

    static final org.eclipse.emf.ecore.EClass VIEW

  The meta object literal for the '`View`' class.

  See Also:
    `ViewImpl`, `NotationPackageImpl.getView()`
  ** Generated **

### VIEW__VISIBLE

    static final org.eclipse.emf.ecore.EAttribute VIEW__VISIBLE

  The meta object literal for the 'Visible' attribute feature.

  ** Generated **

### VIEW__TYPE

    static final org.eclipse.emf.ecore.EAttribute VIEW__TYPE

  The meta object literal for the 'Type' attribute feature.

  ** Generated **

### VIEW__MUTABLE

    static final org.eclipse.emf.ecore.EAttribute VIEW__MUTABLE

  The meta object literal for the 'Mutable' attribute feature.

  ** Generated **

### VIEW__SOURCE_EDGES

    static final org.eclipse.emf.ecore.EReference VIEW__SOURCE_EDGES

  The meta object literal for the 'Source Edges' reference list feature.

  ** Generated **

### VIEW__TARGET_EDGES

    static final org.eclipse.emf.ecore.EReference VIEW__TARGET_EDGES

  The meta object literal for the 'Target Edges' reference list feature.

  ** Generated **

### VIEW__PERSISTED_CHILDREN

    static final org.eclipse.emf.ecore.EReference VIEW__PERSISTED_CHILDREN

  The meta object literal for the 'Persisted Children' containment reference list feature.

  ** Generated **

### VIEW__STYLES

    static final org.eclipse.emf.ecore.EReference VIEW__STYLES

  The meta object literal for the 'Styles' containment reference list feature.

  ** Generated **

### VIEW__ELEMENT

    static final org.eclipse.emf.ecore.EReference VIEW__ELEMENT

  The meta object literal for the 'Element' reference feature.

  ** Generated **

### VIEW__DIAGRAM

    static final org.eclipse.emf.ecore.EReference VIEW__DIAGRAM

  The meta object literal for the 'Diagram' reference feature.

  ** Generated **

### VIEW__TRANSIENT_CHILDREN

    static final org.eclipse.emf.ecore.EReference VIEW__TRANSIENT_CHILDREN

  The meta object literal for the 'Transient Children' containment reference list feature.

  ** Generated **

### RELATIVE_BENDPOINTS

    static final org.eclipse.emf.ecore.EClass RELATIVE_BENDPOINTS

  The meta object literal for the '`Relative Bendpoints`' class.

  See Also:
    `RelativeBendpointsImpl`, `NotationPackageImpl.getRelativeBendpoints()`
  ** Generated **

### RELATIVE_BENDPOINTS__POINTS

    static final org.eclipse.emf.ecore.EAttribute RELATIVE_BENDPOINTS__POINTS

  The meta object literal for the 'Points' attribute feature.

  ** Generated **

### DIAGRAM

    static final org.eclipse.emf.ecore.EClass DIAGRAM

  The meta object literal for the '`Diagram`' class.

  See Also:
    `DiagramImpl`, `NotationPackageImpl.getDiagram()`
  ** Generated **

### DIAGRAM__NAME

    static final org.eclipse.emf.ecore.EAttribute DIAGRAM__NAME

  The meta object literal for the 'Name' attribute feature.

  ** Generated **

### DIAGRAM__MEASUREMENT_UNIT

    static final org.eclipse.emf.ecore.EAttribute DIAGRAM__MEASUREMENT_UNIT

  The meta object literal for the 'Measurement Unit' attribute feature.

  ** Generated **

### DIAGRAM__PERSISTED_EDGES

    static final org.eclipse.emf.ecore.EReference DIAGRAM__PERSISTED_EDGES

  The meta object literal for the 'Persisted Edges' containment reference list feature.

  ** Generated **

### DIAGRAM__TRANSIENT_EDGES

    static final org.eclipse.emf.ecore.EReference DIAGRAM__TRANSIENT_EDGES

  The meta object literal for the 'Transient Edges' containment reference list feature.

  ** Generated **

### IMAGE

    static final org.eclipse.emf.ecore.EClass IMAGE

  The meta object literal for the '`Image`' class.

  See Also:
    `ImageImpl`, `NotationPackageImpl.getImage()`
  ** Generated **

### IMAGE__DATA

    static final org.eclipse.emf.ecore.EAttribute IMAGE__DATA

  The meta object literal for the 'Data' attribute feature.

  ** Generated **

### CANONICAL_STYLE

    static final org.eclipse.emf.ecore.EClass CANONICAL_STYLE

  The meta object literal for the '`Canonical Style`' class.

  See Also:
    `CanonicalStyleImpl`, `NotationPackageImpl.getCanonicalStyle()`
  ** Generated **

### CANONICAL_STYLE__CANONICAL

    static final org.eclipse.emf.ecore.EAttribute CANONICAL_STYLE__CANONICAL

  The meta object literal for the 'Canonical' attribute feature.

  ** Generated **

### SHAPE_STYLE

    static final org.eclipse.emf.ecore.EClass SHAPE_STYLE

  The meta object literal for the '`Shape Style`' class.

  See Also:
    `ShapeStyleImpl`, `NotationPackageImpl.getShapeStyle()`
  ** Generated **

### CONNECTOR_STYLE

    static final org.eclipse.emf.ecore.EClass CONNECTOR_STYLE

  The meta object literal for the '`Connector Style`' class.

  See Also:
    `ConnectorStyleImpl`, `NotationPackageImpl.getConnectorStyle()`
  ** Generated **

### PAGE_STYLE

    static final org.eclipse.emf.ecore.EClass PAGE_STYLE

  The meta object literal for the '`Page Style`' class.

  See Also:
    `PageStyleImpl`, `NotationPackageImpl.getPageStyle()`
  ** Generated **

### PAGE_STYLE__PAGE_X

    static final org.eclipse.emf.ecore.EAttribute PAGE_STYLE__PAGE_X

  The meta object literal for the 'Page X' attribute feature.

  ** Generated **

### PAGE_STYLE__PAGE_Y

    static final org.eclipse.emf.ecore.EAttribute PAGE_STYLE__PAGE_Y

  The meta object literal for the 'Page Y' attribute feature.

  ** Generated **

### PAGE_STYLE__PAGE_WIDTH

    static final org.eclipse.emf.ecore.EAttribute PAGE_STYLE__PAGE_WIDTH

  The meta object literal for the 'Page Width' attribute feature.

  ** Generated **

### PAGE_STYLE__PAGE_HEIGHT

    static final org.eclipse.emf.ecore.EAttribute PAGE_STYLE__PAGE_HEIGHT

  The meta object literal for the 'Page Height' attribute feature.

  ** Generated **

### DRAWER_STYLE

    static final org.eclipse.emf.ecore.EClass DRAWER_STYLE

  The meta object literal for the '`Drawer Style`' class.

  See Also:
    `DrawerStyleImpl`, `NotationPackageImpl.getDrawerStyle()`
  ** Generated **

### DRAWER_STYLE__COLLAPSED

    static final org.eclipse.emf.ecore.EAttribute DRAWER_STYLE__COLLAPSED

  The meta object literal for the 'Collapsed' attribute feature.

  ** Generated **

### GUIDE_STYLE

    static final org.eclipse.emf.ecore.EClass GUIDE_STYLE

  The meta object literal for the '`Guide Style`' class.

  See Also:
    `GuideStyleImpl`, `NotationPackageImpl.getGuideStyle()`
  ** Generated **

### GUIDE_STYLE__HORIZONTAL_GUIDES

    static final org.eclipse.emf.ecore.EReference GUIDE_STYLE__HORIZONTAL_GUIDES

  The meta object literal for the 'Horizontal Guides' containment reference list feature.

  ** Generated **

### GUIDE_STYLE__VERTICAL_GUIDES

    static final org.eclipse.emf.ecore.EReference GUIDE_STYLE__VERTICAL_GUIDES

  The meta object literal for the 'Vertical Guides' containment reference list feature.

  ** Generated **

### GUIDE

    static final org.eclipse.emf.ecore.EClass GUIDE

  The meta object literal for the '`Guide`' class.

  See Also:
    `GuideImpl`, `NotationPackageImpl.getGuide()`
  ** Generated **

### GUIDE__POSITION

    static final org.eclipse.emf.ecore.EAttribute GUIDE__POSITION

  The meta object literal for the 'Position' attribute feature.

  ** Generated **

### GUIDE__NODE_MAP

    static final org.eclipse.emf.ecore.EReference GUIDE__NODE_MAP

  The meta object literal for the 'Node Map' map feature.

  ** Generated **

### NODE_ENTRY

    static final org.eclipse.emf.ecore.EClass NODE_ENTRY

  The meta object literal for the '`Node Entry`' class.

  See Also:
    `NodeEntryImpl`, `NotationPackageImpl.getNodeEntry()`
  ** Generated **

### NODE_ENTRY__VALUE

    static final org.eclipse.emf.ecore.EAttribute NODE_ENTRY__VALUE

  The meta object literal for the 'Value' attribute feature.

  ** Generated **

### NODE_ENTRY__KEY

    static final org.eclipse.emf.ecore.EReference NODE_ENTRY__KEY

  The meta object literal for the 'Key' reference feature.

  ** Generated **

### FILTERING_STYLE

    static final org.eclipse.emf.ecore.EClass FILTERING_STYLE

  The meta object literal for the '`Filtering Style`' class.

  See Also:
    `FilteringStyleImpl`, `NotationPackageImpl.getFilteringStyle()`
  ** Generated **

### FILTERING_STYLE__FILTERING

    static final org.eclipse.emf.ecore.EAttribute FILTERING_STYLE__FILTERING

  The meta object literal for the 'Filtering' attribute feature.

  ** Generated **

### FILTERING_STYLE__FILTERING_KEYS

    static final org.eclipse.emf.ecore.EAttribute FILTERING_STYLE__FILTERING_KEYS

  The meta object literal for the 'Filtering Keys' attribute feature.

  ** Generated **

### FILTERING_STYLE__FILTERED_OBJECTS

    static final org.eclipse.emf.ecore.EReference FILTERING_STYLE__FILTERED_OBJECTS

  The meta object literal for the 'Filtered Objects' reference list feature.

  ** Generated **

### DIAGRAM_STYLE

    static final org.eclipse.emf.ecore.EClass DIAGRAM_STYLE

  The meta object literal for the '`Diagram Style`' class.

  See Also:
    `DiagramStyleImpl`, `NotationPackageImpl.getDiagramStyle()`
  ** Generated **

### IMAGE_STYLE

    static final org.eclipse.emf.ecore.EClass IMAGE_STYLE

  The meta object literal for the '`Image Style`' class.

  See Also:
    `ImageStyleImpl`, `NotationPackageImpl.getImageStyle()`
  ** Generated **

### IMAGE_STYLE__ANTI_ALIAS

    static final org.eclipse.emf.ecore.EAttribute IMAGE_STYLE__ANTI_ALIAS

  The meta object literal for the 'Anti Alias' attribute feature.

  ** Generated **

### IMAGE_STYLE__MAINTAIN_ASPECT_RATIO

    static final org.eclipse.emf.ecore.EAttribute IMAGE_STYLE__MAINTAIN_ASPECT_RATIO

  The meta object literal for the 'Maintain Aspect Ratio' attribute feature.

  ** Generated **

### IMAGE_STYLE__CROP_BOUND

    static final org.eclipse.emf.ecore.EReference IMAGE_STYLE__CROP_BOUND

  The meta object literal for the 'Crop Bound' containment reference feature.

  ** Generated **

### IMAGE_BUFFER_STYLE

    static final org.eclipse.emf.ecore.EClass IMAGE_BUFFER_STYLE

  The meta object literal for the '`Image Buffer Style`' class.

  See Also:
    `ImageBufferStyleImpl`, `NotationPackageImpl.getImageBufferStyle()`
  ** Generated **

### IMAGE_BUFFER_STYLE__IMAGE_BUFFER

    static final org.eclipse.emf.ecore.EReference IMAGE_BUFFER_STYLE__IMAGE_BUFFER

  The meta object literal for the 'Image Buffer' containment reference feature.

  ** Generated **

### PROPERTIES_SET_STYLE

    static final org.eclipse.emf.ecore.EClass PROPERTIES_SET_STYLE

  The meta object literal for the '`Properties Set Style`' class.

  See Also:
    `PropertiesSetStyleImpl`, `NotationPackageImpl.getPropertiesSetStyle()`
  ** Generated **

### PROPERTIES_SET_STYLE__PROPERTIES_MAP

    static final org.eclipse.emf.ecore.EReference PROPERTIES_SET_STYLE__PROPERTIES_MAP

  The meta object literal for the 'Properties Map' map feature.

  ** Generated **

### STRING_TO_PROPERTY_VALUE_MAP_ENTRY

    static final org.eclipse.emf.ecore.EClass STRING_TO_PROPERTY_VALUE_MAP_ENTRY

  The meta object literal for the '`String To Property Value Map Entry`' class.

  See Also:
    `StringToPropertyValueMapEntryImpl`, `NotationPackageImpl.getStringToPropertyValueMapEntry()`
  ** Generated **

### STRING_TO_PROPERTY_VALUE_MAP_ENTRY__KEY

    static final org.eclipse.emf.ecore.EAttribute STRING_TO_PROPERTY_VALUE_MAP_ENTRY__KEY

  The meta object literal for the 'Key' attribute feature.

  ** Generated **

### STRING_TO_PROPERTY_VALUE_MAP_ENTRY__VALUE

    static final org.eclipse.emf.ecore.EReference STRING_TO_PROPERTY_VALUE_MAP_ENTRY__VALUE

  The meta object literal for the 'Value' containment reference feature.

  ** Generated **

### PROPERTY_VALUE

    static final org.eclipse.emf.ecore.EClass PROPERTY_VALUE

  The meta object literal for the '`Property Value`' class.

  See Also:
    `PropertyValueImpl`, `NotationPackageImpl.getPropertyValue()`
  ** Generated **

### PROPERTY_VALUE__RAW_VALUE

    static final org.eclipse.emf.ecore.EAttribute PROPERTY_VALUE__RAW_VALUE

  The meta object literal for the 'Raw Value' attribute feature.

  ** Generated **

### PROPERTY_VALUE__INSTANCE_TYPE

    static final org.eclipse.emf.ecore.EReference PROPERTY_VALUE__INSTANCE_TYPE

  The meta object literal for the 'Instance Type' reference feature.

  ** Generated **

### SINGLE_VALUE_STYLE

    static final org.eclipse.emf.ecore.EClass SINGLE_VALUE_STYLE

  The meta object literal for the '`Single Value Style`' class.

  See Also:
    `SingleValueStyleImpl`, `NotationPackageImpl.getSingleValueStyle()`
  ** Generated **

### SINGLE_VALUE_STYLE__RAW_VALUE

    static final org.eclipse.emf.ecore.EAttribute SINGLE_VALUE_STYLE__RAW_VALUE

  The meta object literal for the 'Raw Value' attribute feature.

  ** Generated **

### LIST_VALUE_STYLE

    static final org.eclipse.emf.ecore.EClass LIST_VALUE_STYLE

  The meta object literal for the '`List Value Style`' class.

  See Also:
    `ListValueStyleImpl`, `NotationPackageImpl.getListValueStyle()`
  ** Generated **

### LIST_VALUE_STYLE__RAW_VALUES_LIST

    static final org.eclipse.emf.ecore.EAttribute LIST_VALUE_STYLE__RAW_VALUES_LIST

  The meta object literal for the 'Raw Values List' attribute list feature.

  ** Generated **

### NAMED_STYLE

    static final org.eclipse.emf.ecore.EClass NAMED_STYLE

  The meta object literal for the '`Named Style`' class.

  See Also:
    `NamedStyleImpl`, `NotationPackageImpl.getNamedStyle()`
  ** Generated **

### NAMED_STYLE__NAME

    static final org.eclipse.emf.ecore.EAttribute NAMED_STYLE__NAME

  The meta object literal for the 'Name' attribute feature.

  ** Generated **

### STRING_OBJECT_CONVERTER

    static final org.eclipse.emf.ecore.EClass STRING_OBJECT_CONVERTER

  The meta object literal for the '`String Object Converter`' class.

  See Also:
    `StringObjectConverter`, `NotationPackageImpl.getStringObjectConverter()`
  ** Generated **

### DATA_TYPE_STYLE

    static final org.eclipse.emf.ecore.EClass DATA_TYPE_STYLE

  The meta object literal for the '`Data Type Style`' class.

  See Also:
    `DataTypeStyleImpl`, `NotationPackageImpl.getDataTypeStyle()`
  ** Generated **

### DATA_TYPE_STYLE__INSTANCE_TYPE

    static final org.eclipse.emf.ecore.EReference DATA_TYPE_STYLE__INSTANCE_TYPE

  The meta object literal for the 'Instance Type' reference feature.

  ** Generated **

### INT_VALUE_STYLE

    static final org.eclipse.emf.ecore.EClass INT_VALUE_STYLE

  The meta object literal for the '`Int Value Style`' class.

  See Also:
    `IntValueStyleImpl`, `NotationPackageImpl.getIntValueStyle()`
  ** Generated **

### INT_VALUE_STYLE__INT_VALUE

    static final org.eclipse.emf.ecore.EAttribute INT_VALUE_STYLE__INT_VALUE

  The meta object literal for the 'Int Value' attribute feature.

  ** Generated **

### INT_LIST_VALUE_STYLE

    static final org.eclipse.emf.ecore.EClass INT_LIST_VALUE_STYLE

  The meta object literal for the '`Int List Value Style`' class.

  See Also:
    `IntListValueStyleImpl`, `NotationPackageImpl.getIntListValueStyle()`
  ** Generated **

### INT_LIST_VALUE_STYLE__INT_LIST_VALUE

    static final org.eclipse.emf.ecore.EAttribute INT_LIST_VALUE_STYLE__INT_LIST_VALUE

  The meta object literal for the 'Int List Value' attribute list feature.

  ** Generated **

### BOOLEAN_VALUE_STYLE

    static final org.eclipse.emf.ecore.EClass BOOLEAN_VALUE_STYLE

  The meta object literal for the '`Boolean Value Style`' class.

  See Also:
    `BooleanValueStyleImpl`, `NotationPackageImpl.getBooleanValueStyle()`
  ** Generated **

### BOOLEAN_VALUE_STYLE__BOOLEAN_VALUE

    static final org.eclipse.emf.ecore.EAttribute BOOLEAN_VALUE_STYLE__BOOLEAN_VALUE

  The meta object literal for the 'Boolean Value' attribute feature.

  ** Generated **

### DOUBLE_VALUE_STYLE

    static final org.eclipse.emf.ecore.EClass DOUBLE_VALUE_STYLE

  The meta object literal for the '`Double Value Style`' class.

  See Also:
    `DoubleValueStyleImpl`, `NotationPackageImpl.getDoubleValueStyle()`
  ** Generated **

### DOUBLE_VALUE_STYLE__DOUBLE_VALUE

    static final org.eclipse.emf.ecore.EAttribute DOUBLE_VALUE_STYLE__DOUBLE_VALUE

  The meta object literal for the 'Double Value' attribute feature.

  ** Generated **

### DOUBLE_LIST_VALUE_STYLE

    static final org.eclipse.emf.ecore.EClass DOUBLE_LIST_VALUE_STYLE

  The meta object literal for the '`Double List Value Style`' class.

  See Also:
    `DoubleListValueStyleImpl`, `NotationPackageImpl.getDoubleListValueStyle()`
  ** Generated **

### DOUBLE_LIST_VALUE_STYLE__DOUBLE_LIST_VALUE

    static final org.eclipse.emf.ecore.EAttribute DOUBLE_LIST_VALUE_STYLE__DOUBLE_LIST_VALUE

  The meta object literal for the 'Double List Value' attribute list feature.

  ** Generated **

### STRING_VALUE_STYLE

    static final org.eclipse.emf.ecore.EClass STRING_VALUE_STYLE

  The meta object literal for the '`String Value Style`' class.

  See Also:
    `StringValueStyleImpl`, `NotationPackageImpl.getStringValueStyle()`
  ** Generated **

### STRING_VALUE_STYLE__STRING_VALUE

    static final org.eclipse.emf.ecore.EAttribute STRING_VALUE_STYLE__STRING_VALUE

  The meta object literal for the 'String Value' attribute feature.

  ** Generated **

### STRING_LIST_VALUE_STYLE

    static final org.eclipse.emf.ecore.EClass STRING_LIST_VALUE_STYLE

  The meta object literal for the '`String List Value Style`' class.

  See Also:
    `StringListValueStyleImpl`, `NotationPackageImpl.getStringListValueStyle()`
  ** Generated **

### STRING_LIST_VALUE_STYLE__STRING_LIST_VALUE

    static final org.eclipse.emf.ecore.EAttribute STRING_LIST_VALUE_STYLE__STRING_LIST_VALUE

  The meta object literal for the 'String List Value' attribute list feature.

  ** Generated **

### EOBJECT_VALUE_STYLE

    static final org.eclipse.emf.ecore.EClass EOBJECT_VALUE_STYLE

  The meta object literal for the '`EObject Value Style`' class.

  See Also:
    `EObjectValueStyleImpl`, `NotationPackageImpl.getEObjectValueStyle()`
  ** Generated **

### EOBJECT_VALUE_STYLE__EOBJECT_VALUE

    static final org.eclipse.emf.ecore.EReference EOBJECT_VALUE_STYLE__EOBJECT_VALUE

  The meta object literal for the 'EObject Value' reference feature.

  ** Generated **

### EOBJECT_LIST_VALUE_STYLE

    static final org.eclipse.emf.ecore.EClass EOBJECT_LIST_VALUE_STYLE

  The meta object literal for the '`EObject List Value Style`' class.

  See Also:
    `EObjectListValueStyleImpl`, `NotationPackageImpl.getEObjectListValueStyle()`
  ** Generated **

### EOBJECT_LIST_VALUE_STYLE__EOBJECT_LIST_VALUE

    static final org.eclipse.emf.ecore.EReference EOBJECT_LIST_VALUE_STYLE__EOBJECT_LIST_VALUE

  The meta object literal for the 'EObject List Value' reference list feature.

  ** Generated **

### BYTE_ARRAY_VALUE_STYLE

    static final org.eclipse.emf.ecore.EClass BYTE_ARRAY_VALUE_STYLE

  The meta object literal for the '`Byte Array Value Style`' class.

  See Also:
    `ByteArrayValueStyleImpl`, `NotationPackageImpl.getByteArrayValueStyle()`
  ** Generated **

### BYTE_ARRAY_VALUE_STYLE__BYTE_ARRAY_VALUE

    static final org.eclipse.emf.ecore.EAttribute BYTE_ARRAY_VALUE_STYLE__BYTE_ARRAY_VALUE

  The meta object literal for the 'Byte Array Value' attribute feature.

  ** Generated **

### BOOLEAN_LIST_VALUE_STYLE

    static final org.eclipse.emf.ecore.EClass BOOLEAN_LIST_VALUE_STYLE

  The meta object literal for the '`Boolean List Value Style`' class.

  See Also:
    `BooleanListValueStyleImpl`, `NotationPackageImpl.getBooleanListValueStyle()`
  ** Generated **

### BOOLEAN_LIST_VALUE_STYLE__BOOLEAN_LIST_VALUE

    static final org.eclipse.emf.ecore.EAttribute BOOLEAN_LIST_VALUE_STYLE__BOOLEAN_LIST_VALUE

  The meta object literal for the 'Boolean List Value' attribute list feature.

  ** Generated **

### HINTED_DIAGRAM_LINK_STYLE

    static final org.eclipse.emf.ecore.EClass HINTED_DIAGRAM_LINK_STYLE

  The meta object literal for the '`Hinted Diagram Link Style`' class.

  See Also:
    `HintedDiagramLinkStyleImpl`, `NotationPackageImpl.getHintedDiagramLinkStyle()`
  ** Generated **

### HINTED_DIAGRAM_LINK_STYLE__HINT

    static final org.eclipse.emf.ecore.EAttribute HINTED_DIAGRAM_LINK_STYLE__HINT

  The meta object literal for the 'Hint' attribute feature.

  ** Generated **

### DIAGRAM_LINK_STYLE

    static final org.eclipse.emf.ecore.EClass DIAGRAM_LINK_STYLE

  The meta object literal for the '`Diagram Link Style`' class.

  See Also:
    `DiagramLinkStyleImpl`, `NotationPackageImpl.getDiagramLinkStyle()`
  ** Generated **

### DIAGRAM_LINK_STYLE__DIAGRAM_LINK

    static final org.eclipse.emf.ecore.EReference DIAGRAM_LINK_STYLE__DIAGRAM_LINK

  The meta object literal for the 'Diagram Link' reference feature.

  ** Generated **

### MULTI_DIAGRAM_LINK_STYLE

    static final org.eclipse.emf.ecore.EClass MULTI_DIAGRAM_LINK_STYLE

  The meta object literal for the '`Multi Diagram Link Style`' class.

  See Also:
    `MultiDiagramLinkStyleImpl`, `NotationPackageImpl.getMultiDiagramLinkStyle()`
  ** Generated **

### MULTI_DIAGRAM_LINK_STYLE__DIAGRAM_LINKS

    static final org.eclipse.emf.ecore.EReference MULTI_DIAGRAM_LINK_STYLE__DIAGRAM_LINKS

  The meta object literal for the 'Diagram Links' reference list feature.

  ** Generated **

### TEXT_STYLE

    static final org.eclipse.emf.ecore.EClass TEXT_STYLE

  The meta object literal for the '`Text Style`' class.

  See Also:
    `TextStyleImpl`, `NotationPackageImpl.getTextStyle()`
  ** Generated **

### TEXT_STYLE__TEXT_ALIGNMENT

    static final org.eclipse.emf.ecore.EAttribute TEXT_STYLE__TEXT_ALIGNMENT

  The meta object literal for the 'Text Alignment' attribute feature.

  ** Generated **

### LINE_TYPE_STYLE

    static final org.eclipse.emf.ecore.EClass LINE_TYPE_STYLE

  The meta object literal for the '`Line Type Style`' class.

  See Also:
    `LineTypeStyleImpl`, `NotationPackageImpl.getLineTypeStyle()`
  ** Generated **

### LINE_TYPE_STYLE__LINE_TYPE

    static final org.eclipse.emf.ecore.EAttribute LINE_TYPE_STYLE__LINE_TYPE

  The meta object literal for the 'Line Type' attribute feature.

  ** Generated **

### ARROW_STYLE

    static final org.eclipse.emf.ecore.EClass ARROW_STYLE

  The meta object literal for the '`Arrow Style`' class.

  See Also:
    `ArrowStyleImpl`, `NotationPackageImpl.getArrowStyle()`
  ** Generated **

### ARROW_STYLE__ARROW_SOURCE

    static final org.eclipse.emf.ecore.EAttribute ARROW_STYLE__ARROW_SOURCE

  The meta object literal for the 'Arrow Source' attribute feature.

  ** Generated **

### ARROW_STYLE__ARROW_TARGET

    static final org.eclipse.emf.ecore.EAttribute ARROW_STYLE__ARROW_TARGET

  The meta object literal for the 'Arrow Target' attribute feature.

  ** Generated **

### SORTING

    static final org.eclipse.emf.ecore.EEnum SORTING

  The meta object literal for the '`Sorting`' enum.

  See Also:
    `Sorting`, `NotationPackageImpl.getSorting()`
  ** Generated **

### FILTERING

    static final org.eclipse.emf.ecore.EEnum FILTERING

  The meta object literal for the '`Filtering`' enum.

  See Also:
    `Filtering`, `NotationPackageImpl.getFiltering()`
  ** Generated **

### ROUTING

    static final org.eclipse.emf.ecore.EEnum ROUTING

  The meta object literal for the '`Routing`' enum.

  See Also:
    `Routing`, `NotationPackageImpl.getRouting()`
  ** Generated **

### SMOOTHNESS

    static final org.eclipse.emf.ecore.EEnum SMOOTHNESS

  The meta object literal for the '`Smoothness`' enum.

  See Also:
    `Smoothness`, `NotationPackageImpl.getSmoothness()`
  ** Generated **

### JUMP_LINK_STATUS

    static final org.eclipse.emf.ecore.EEnum JUMP_LINK_STATUS

  The meta object literal for the '`Jump Link Status`' enum.

  See Also:
    `JumpLinkStatus`, `NotationPackageImpl.getJumpLinkStatus()`
  ** Generated **

### JUMP_LINK_TYPE

    static final org.eclipse.emf.ecore.EEnum JUMP_LINK_TYPE

  The meta object literal for the '`Jump Link Type`' enum.

  See Also:
    `JumpLinkType`, `NotationPackageImpl.getJumpLinkType()`
  ** Generated **

### ALIGNMENT

    static final org.eclipse.emf.ecore.EEnum ALIGNMENT

  The meta object literal for the '`Alignment`' enum.

  See Also:
    `Alignment`, `NotationPackageImpl.getAlignment()`
  ** Generated **

### SORTING_DIRECTION

    static final org.eclipse.emf.ecore.EEnum SORTING_DIRECTION

  The meta object literal for the '`Sorting Direction`' enum.

  See Also:
    `SortingDirection`, `NotationPackageImpl.getSortingDirection()`
  ** Generated **

### MEASUREMENT_UNIT

    static final org.eclipse.emf.ecore.EEnum MEASUREMENT_UNIT

  The meta object literal for the '`Measurement Unit`' enum.

  See Also:
    `MeasurementUnit`, `NotationPackageImpl.getMeasurementUnit()`
  ** Generated **

### TEXT_ALIGNMENT

    static final org.eclipse.emf.ecore.EEnum TEXT_ALIGNMENT

  The meta object literal for the '`Text Alignment`' enum.

  See Also:
    `TextAlignment`, `NotationPackageImpl.getTextAlignment()`
  ** Generated **

### LINE_TYPE

    static final org.eclipse.emf.ecore.EEnum LINE_TYPE

  The meta object literal for the '`Line Type`' enum.

  See Also:
    `LineType`, `NotationPackageImpl.getLineType()`
  ** Generated **

### ARROW_TYPE

    static final org.eclipse.emf.ecore.EEnum ARROW_TYPE

  The meta object literal for the '`Arrow Type`' enum.

  See Also:
    `ArrowType`, `NotationPackageImpl.getArrowType()`
  ** Generated **

### RELATIVE_BENDPOINT_LIST

    static final org.eclipse.emf.ecore.EDataType RELATIVE_BENDPOINT_LIST

  The meta object literal for the 'Relative Bendpoint List' data type.

  See Also:
    `List`, `NotationPackageImpl.getRelativeBendpointList()`
  ** Generated **

### FILTER_KEY_LIST

    static final org.eclipse.emf.ecore.EDataType FILTER_KEY_LIST

  The meta object literal for the 'Filter Key List' data type.

  See Also:
    `List`, `NotationPackageImpl.getFilterKeyList()`
  ** Generated **

### SORT_KEY_MAP

    static final org.eclipse.emf.ecore.EDataType SORT_KEY_MAP

  The meta object literal for the 'Sort Key Map' data type.

  See Also:
    `Map`, `NotationPackageImpl.getSortKeyMap()`
  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.